<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.lightinit.hsdataportal.mapper.ApiregisterserviceMapper" >
  <resultMap id="BaseResultMap" type="com.lightinit.hsdataportal.entity.Apiregisterservice" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <id column="ASid" property="asid" jdbcType="BIGINT" />
    <result column="ACode" property="acode" jdbcType="VARCHAR" />
    <result column="AName" property="aname" jdbcType="VARCHAR" />
    <result column="AApp" property="aapp" jdbcType="VARCHAR" />
    <result column="ASummary" property="asummary" jdbcType="VARCHAR" />
    <result column="ADll" property="adll" jdbcType="VARCHAR" />
    <result column="AInterface" property="ainterface" jdbcType="VARCHAR" />
    <result column="AService" property="aservice" jdbcType="VARCHAR" />
    <result column="AMethod" property="amethod" jdbcType="VARCHAR" />
    <result column="AStatus" property="astatus" jdbcType="INTEGER" />
    <result column="AConfig" property="aconfig" jdbcType="VARCHAR" />
    <result column="AAddDate" property="aadddate" jdbcType="TIMESTAMP" />
  </resultMap>
  <sql id="Base_Column_List" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    ASid, ACode, AName, AApp, ASummary, ADll, AInterface, AService, AMethod, AStatus, 
    AConfig, AAddDate
  </sql>
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Long" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select 
    <include refid="Base_Column_List" />
    from apiregisterservice
    where ASid = #{asid,jdbcType=BIGINT}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from apiregisterservice
    where ASid = #{asid,jdbcType=BIGINT}
  </delete>
  <insert id="insert" parameterType="com.lightinit.hsdataportal.entity.Apiregisterservice" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into apiregisterservice (ASid, ACode, AName, 
      AApp, ASummary, ADll, 
      AInterface, AService, AMethod, 
      AStatus, AConfig, AAddDate
      )
    values (#{asid,jdbcType=BIGINT}, #{acode,jdbcType=VARCHAR}, #{aname,jdbcType=VARCHAR}, 
      #{aapp,jdbcType=VARCHAR}, #{asummary,jdbcType=VARCHAR}, #{adll,jdbcType=VARCHAR}, 
      #{ainterface,jdbcType=VARCHAR}, #{aservice,jdbcType=VARCHAR}, #{amethod,jdbcType=VARCHAR}, 
      #{astatus,jdbcType=INTEGER}, #{aconfig,jdbcType=VARCHAR}, #{aadddate,jdbcType=TIMESTAMP}
      )
  </insert>
  <insert id="insertSelective" parameterType="com.lightinit.hsdataportal.entity.Apiregisterservice" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into apiregisterservice
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="asid != null" >
        ASid,
      </if>
      <if test="acode != null" >
        ACode,
      </if>
      <if test="aname != null" >
        AName,
      </if>
      <if test="aapp != null" >
        AApp,
      </if>
      <if test="asummary != null" >
        ASummary,
      </if>
      <if test="adll != null" >
        ADll,
      </if>
      <if test="ainterface != null" >
        AInterface,
      </if>
      <if test="aservice != null" >
        AService,
      </if>
      <if test="amethod != null" >
        AMethod,
      </if>
      <if test="astatus != null" >
        AStatus,
      </if>
      <if test="aconfig != null" >
        AConfig,
      </if>
      <if test="aadddate != null" >
        AAddDate,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="asid != null" >
        #{asid,jdbcType=BIGINT},
      </if>
      <if test="acode != null" >
        #{acode,jdbcType=VARCHAR},
      </if>
      <if test="aname != null" >
        #{aname,jdbcType=VARCHAR},
      </if>
      <if test="aapp != null" >
        #{aapp,jdbcType=VARCHAR},
      </if>
      <if test="asummary != null" >
        #{asummary,jdbcType=VARCHAR},
      </if>
      <if test="adll != null" >
        #{adll,jdbcType=VARCHAR},
      </if>
      <if test="ainterface != null" >
        #{ainterface,jdbcType=VARCHAR},
      </if>
      <if test="aservice != null" >
        #{aservice,jdbcType=VARCHAR},
      </if>
      <if test="amethod != null" >
        #{amethod,jdbcType=VARCHAR},
      </if>
      <if test="astatus != null" >
        #{astatus,jdbcType=INTEGER},
      </if>
      <if test="aconfig != null" >
        #{aconfig,jdbcType=VARCHAR},
      </if>
      <if test="aadddate != null" >
        #{aadddate,jdbcType=TIMESTAMP},
      </if>
    </trim>
  </insert>
  <update id="updateByPrimaryKeySelective" parameterType="com.lightinit.hsdataportal.entity.Apiregisterservice" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update apiregisterservice
    <set >
      <if test="acode != null" >
        ACode = #{acode,jdbcType=VARCHAR},
      </if>
      <if test="aname != null" >
        AName = #{aname,jdbcType=VARCHAR},
      </if>
      <if test="aapp != null" >
        AApp = #{aapp,jdbcType=VARCHAR},
      </if>
      <if test="asummary != null" >
        ASummary = #{asummary,jdbcType=VARCHAR},
      </if>
      <if test="adll != null" >
        ADll = #{adll,jdbcType=VARCHAR},
      </if>
      <if test="ainterface != null" >
        AInterface = #{ainterface,jdbcType=VARCHAR},
      </if>
      <if test="aservice != null" >
        AService = #{aservice,jdbcType=VARCHAR},
      </if>
      <if test="amethod != null" >
        AMethod = #{amethod,jdbcType=VARCHAR},
      </if>
      <if test="astatus != null" >
        AStatus = #{astatus,jdbcType=INTEGER},
      </if>
      <if test="aconfig != null" >
        AConfig = #{aconfig,jdbcType=VARCHAR},
      </if>
      <if test="aadddate != null" >
        AAddDate = #{aadddate,jdbcType=TIMESTAMP},
      </if>
    </set>
    where ASid = #{asid,jdbcType=BIGINT}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.lightinit.hsdataportal.entity.Apiregisterservice" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update apiregisterservice
    set ACode = #{acode,jdbcType=VARCHAR},
      AName = #{aname,jdbcType=VARCHAR},
      AApp = #{aapp,jdbcType=VARCHAR},
      ASummary = #{asummary,jdbcType=VARCHAR},
      ADll = #{adll,jdbcType=VARCHAR},
      AInterface = #{ainterface,jdbcType=VARCHAR},
      AService = #{aservice,jdbcType=VARCHAR},
      AMethod = #{amethod,jdbcType=VARCHAR},
      AStatus = #{astatus,jdbcType=INTEGER},
      AConfig = #{aconfig,jdbcType=VARCHAR},
      AAddDate = #{aadddate,jdbcType=TIMESTAMP}
    where ASid = #{asid,jdbcType=BIGINT}
  </update>
  <select id="selectByExample" parameterType="com.lightinit.hsdataportal.entity.BaseExample" resultMap="BaseResultMap">
    select
    <if test="distinct">
      distinct
    </if>
    <include refid="Base_Column_List" />
    from apiregisterservice
    <include refid="Common.Example_Where_Clause" />
  </select>
  <select id="countByExample" parameterType="com.lightinit.hsdataportal.entity.BaseExample" resultType="java.lang.Long">
    select count(*) from apiregisterservice
    <include refid="Common.Example_Where_Clause" />
  </select>
</mapper>